<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="../../assets/ico/favicon.ico">

    <title>SocialAuth v4.0 Examples</title>

    <!-- Bootstrap core CSS -->
    <link href="../assets/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body style="padding: 40px 15px;">
<style>
    .form-signin {
        max-width: 400px;
        display:block;
        background-color: #f7f7f7;
        -moz-box-shadow: 0 0 3px 3px #888;
        -webkit-box-shadow: 0 0 3px 3px #888;
        box-shadow: 0 0 3px 3px #888;
        border-radius:2px;
    }
    .main{
        padding: 38px;
    }
    .social-box{
        margin: 0 auto;
        padding: 38px;
        border-bottom:1px #ccc solid;
    }
    .social-box a{
        font-weight:bold;
        font-size:18px;
        padding:8px;
    }
    .social-box a i{
        font-weight:bold;
        font-size:20px;
    }
    .heading-desc{
        font-size:20px;
        font-weight:bold;
        padding:38px 38px 0px 38px;

    }
    .form-signin .form-signin-heading,
    .form-signin .checkbox {
        margin-bottom: 10px;
    }
    .form-signin .checkbox {
        font-weight: normal;
    }
    .form-signin .form-control {
        position: relative;
        font-size: 16px;
        height: 20px;
        padding: 20px;
        -webkit-box-sizing: border-box;
        -moz-box-sizing: border-box;
        box-sizing: border-box;
    }
    .form-signin .form-control:focus {
        z-index: 2;
    }
    .form-signin input[type="text"] {
        margin-bottom: 10px;
        border-radius: 5px;

    }
    .form-signin input[type="password"] {
        margin-bottom: 10px;
        border-radius: 5px;
    }
    .login-footer{
        background:#f0f0f0;
        margin: 0 auto;
        border-top: 1px solid #dadada;
        padding:20px;
    }
    .login-footer .left-section a{
        font-weight:bold;
        color:#8a8a8a;
        line-height:19px;
    }
    .mg-btm{
        margin-bottom:20px;
    }
</style>
<div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#">SocialAuth</a>
        </div>
        <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav">
                <li class="active"><a href="login_1.php">Example 1</a></li>
                <li><a href="login_2.php">Example 2</a></li>
                <li><a href="login_3.php">Example 3</a></li>
                <li><a href="login_4.php">Example 4</a></li>
            </ul>
        </div><!--/.nav-collapse -->
    </div>
</div>
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <form class="form-signin mg-btm">
                <h3 class="heading-desc">
                    <button type="button" class="close pull-right" aria-hidden="true">×</button>
                    SocialAuth Login</h3>
                <div class="social-box">
                    <div class="row mg-btm">
                        <div class="col-md-12">
                            <a href="../login.php?network=facebook" class="btn btn-primary btn-block">
                                <i class="icon-facebook"></i>    Login with Facebook
                            </a>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <a href="../login.php?network=twitter" class="btn btn-info btn-block" >
                                <i class="icon-twitter"></i>    Login with Twitter
                            </a>
                        </div>
                    </div>
                </div>
                <div class="main">

                    <input type="text" class="form-control" placeholder="Email" autofocus id="email">
                    <input type="password" class="form-control" placeholder="Password" id="password">
                    <span class="clearfix"></span>
                </div>
                <div class="login-footer">
                    <div class="row">
                        <div class="col-xs-6 col-md-6">
                            <div class="left-section">
                                <a href="../forgot-password.php">Forgot password?</a>
                                <span class="clearfix"></span>
                                <a href="../signup.php">Sign up</a>
                            </div>
                        </div>
                        <div class="col-xs-6 col-md-6 pull-right">
                            <button type="button" class="btn btn-large btn-danger pull-right" id="btn-signin">Login</button>
                        </div>
                    </div>

                </div>
            </form>
        </div>
    </div>
</div>



<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script src="../assets/bootstrap/js/bootstrap.min.js"></script>
<script>
    jQuery(document).ready(function() {
        $("#btn-signin").on("click", function() {
            var _email = $("#email").val();
            var _password = $("#password").val();
            $.post("../finish-signup.php", {email: _email, password: _password, login: true})
                .done(function(response) {
                    alert(response);
                });
        });
    });
</script>
</body>
</html>


